Packages - Bug #3372

[various]: error while loading shared libraries: libcrypto.so.1.1: cannot open shared object file: No
such file or directory - may require chrooting

2022-11-09 10:01 PM - bill-auger

Status: fixed % Done: 100%
Priority: bug

Assignee: bill-auger

Category:

Description

migration to openssl| v3 breaks stuff - see the sub-tickets

Subtasks:

Bug # 3368: pacman -Syu error breaks pacman - may require chrooting fixed
Bug # 3369: [linux-libre] Kernel Panic during update fixed
Bug # 3371: cryptsetup/openssl update causing whirlpool-hashed LUKS boot failure fixed
Bug # 3373: systemd in initramfs broken without openssl|-1.1 fixed
History

#1 - 2022-11-12 12:34 PM - wael

| can confirm that installing openssli.1 fixed all three issues for me.
Yet one has to note how to do it:

# pacman -Syu

# pacman -S openssll.l

# mkinitcpio -P

# grub-mkconfig -o /boot/grub/grub.cfg

Re-generating the initramfs is very important as initially it might get generated without openssl1.1 which will cause broken boot.

#2 - 2022-11-13 02:19 AM - bill-auger

Re-generating the initramfs is very important as initially it might get generated without openssl1.1 which will cause broken boot.

i think the rebuild can be avoided by pre-installing openssl-1.1
(it is what i did in my librechroots)
so like this?

# pacman -Sy openssl-1.1
# pacman -Su

#3 - 2022-12-15 05:42 PM - wael

| presume it might work, but currently | don't really have a way to test that.

#4 - 2022-12-15 06:07 PM - bill-auger

- Status changed from in progress to fixed

i think the rebuild can be avoided by pre-installing openssl-1.1

IIRC in fact, it is sufficient for openssl-1.1 to be among the sync package-set - #3368 was the key to all of these issues - pacman now requires
openssl-1.1 and openssl|-1.0 - the latter is needed analogously, for long neglected (~1 year) overdue upgrades - after some reasonable grace period
(another year?), these compat deps could be dropped

#5 - 2022-12-19 11:53 AM - bill-auger
https://labs.parabola.nu/issues/3368

- Status changed from fixed to in progress

#6 - 2022-12-19 12:15 PM - bill-auger

- Status changed from in progress to fixed
